Package org.eclipse.swt.accessibility

## Interface AccessibleAttributeListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

All Known Implementing Classes:
  `AccessibleAttributeAdapter`

    public interface AccessibleAttributeListener
    extends SWTEventListener

Classes which implement this interface provide methods that handle AccessibleAttribute events.

After creating an instance of a class that implements this interface it can be added to an accessible using the `addAccessibleAttributeListener` method and removed using the `removeAccessibleAttributeListener` method.

Since:
  3.6
See Also:
  `AccessibleAttributeAdapter`, `AccessibleAttributeEvent`, `AccessibleTextAttributeEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `getAttributes​(AccessibleAttributeEvent e)` Returns attributes specific to this Accessible object.
`void` `getTextAttributes​(AccessibleTextAttributeEvent e)` Returns text attributes specific to this Accessible object.

### Method Detail

#### getAttributes

    void getAttributes​(AccessibleAttributeEvent e)

Returns attributes specific to this Accessible object.

Parameters:
  `e` - an event object containing the following fields:
  - [out] topMargin - the top margin in pixels
  - [out] bottomMargin - the bottom margin in pixels
  - [out] leftMargin - the left margin in pixels
  - [out] rightMargin - the right margin in pixels
  - [out] tabStops - an array of pixel locations
  - [out] justify - whether or not to justify the text
  - [out] alignment - one of `SWT#LEFT`, `SWT#RIGHT` or `SWT#CENTER`
  - [out] indent - the indent in pixels
  - [out] groupLevel - the level of this accessible in its group
  - [out] groupCount - the number of similar children in this accessible's group
  - [out] groupIndex - the index of this accessible in its group
  - [out] attributes - an array of alternating key and value Strings which represent additional (i.e. non predefined) attributes

#### getTextAttributes

    void getTextAttributes​(AccessibleTextAttributeEvent e)

Returns text attributes specific to this Accessible object.

Parameters:
  `e` - an event object containing the following fields:
  - [in] offset - the 0 based text offset for which to return attribute information
  - [out] start - the 0 based starting offset of the character range over which all text attributes match those of offset
  - [out] end - the 0 based offset after the last character of the character range over which all text attributes match those of offset
  - [out] textStyle - the TextStyle of the character range
  - [out] attributes - an array of alternating key and value Strings that represent additional attributes that do not correspond to TextStyle fields